Index: admin/blog_del.php
===================================================================
--- admin/blog_del.php	(revision 3874)
+++ admin/blog_del.php	(revision 0)
@@ -1,74 +1,71 @@
 <?php
-/**
- * @package Dotclear
- * @subpackage Backend
- *
- * @copyright Olivier Meunier & Association Dotclear
- * @copyright GPL-2.0-only
- */
+# -- BEGIN LICENSE BLOCK ---------------------------------------
+#
+# This file is part of Dotclear 2.
+#
+# Copyright (c) 2003-2010 Olivier Meunier & Association Dotclear
+# Licensed under the GPL version 2.0 license.
+# See LICENSE file or
+# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+#
+# -- END LICENSE BLOCK -----------------------------------------
 
-require dirname(__FILE__) . '/../inc/admin/prepend.php';
+require dirname(__FILE__).'/../inc/admin/prepend.php';
 
 dcPage::checkSuper();
 
-$blog_id   = '';
-$blog_name = '';
+$blog_id = '';
 
-if (!empty($_POST['blog_id'])) {
-    try {
-        $rs = $core->getBlog($_POST['blog_id']);
-    } catch (Exception $e) {
-        $core->error->add($e->getMessage());
-    }
-
-    if ($rs->isEmpty()) {
-        $core->error->add(__('No such blog ID'));
-    } else {
-        $blog_id   = $rs->blog_id;
-        $blog_name = $rs->blog_name;
-    }
+if (!empty($_POST['blog_id']))
+{
+	try {
+		$rs = $core->getBlog($_POST['blog_id']);
+	} catch (Exception $e) {
+		$core->error->add($e->getMessage());
+	}
+	
+	if ($rs->isEmpty()) {
+		$core->error->add(__('No such blog ID'));
+	} else {
+		$blog_id = $rs->blog_id;
+	}
 }
 
 # Delete the blog
-if (!$core->error->flag() && $blog_id && !empty($_POST['del'])) {
-    if (!$core->auth->checkPassword($_POST['pwd'])) {
-        $core->error->add(__('Password verification failed'));
-    } else {
-        try {
-            $core->delBlog($blog_id);
-            dcPage::addSuccessNotice(sprintf(__('Blog "%s" successfully deleted'), html::escapeHTML($blog_name)));
-
-            $core->adminurl->redirect("admin.blogs");
-        } catch (Exception $e) {
-            $core->error->add($e->getMessage());
-        }
-    }
+if (!$core->error->flag() && $blog_id && !empty($_POST['del']))
+{
+	if (!$core->auth->checkPassword(crypt::hmac(DC_MASTER_KEY,$_POST['pwd']))) {
+		$core->error->add(__('Password verification failed'));
+	} else {
+		try {
+			$core->delBlog($blog_id);
+			http::redirect('blogs.php?del=1');
+		} catch (Exception $e) {
+			$core->error->add($e->getMessage());
+		}
+	}
 }
 
-dcPage::open(__('Delete a blog'), '',
-    dcPage::breadcrumb(
-        [
-            __('System')        => '',
-            __('Blogs')         => $core->adminurl->get("admin.blogs"),
-            __('Delete a blog') => ''
-        ])
-);
+dcPage::open('Delete a blog');
 
-if (!$core->error->flag()) {
-    echo
-    '<div class="warning-msg"><p><strong>' . __('Warning') . '</strong></p>' .
-    '<p>' . sprintf(__('You are about to delete the blog %s. Every entry, comment and category will be deleted.'),
-        '<strong>' . $blog_id . ' (' . $blog_name . ')</strong>') . '</p></div>' .
-    '<p>' . __('Please give your password to confirm the blog deletion.') . '</p>';
-
-    echo
-    '<form action="' . $core->adminurl->get("admin.blog.del") . '" method="post">' .
-    '<div>' . $core->formNonce() . '</div>' .
-    '<p><label for="pwd">' . __('Your password:') . '</label> ' .
-    form::password('pwd', 20, 255, ['autocomplete' => 'current-password']) . '</p>' .
-    '<p><input type="submit" class="delete" name="del" value="' . __('Delete this blog') . '" />' .
-    form::hidden('blog_id', $blog_id) . '</p>' .
-        '</form>';
+if (!$core->error->flag())
+{
+	echo
+	'<h2>'.__('Delete a blog').'</h2>'.
+	'<p class="message">'.__('Warning').'</p>'.
+	'<p>'.sprintf(__('You are about to delete the blog %s. Every entry, comment and category will be deleted.'),
+	'<strong>'.$blog_id.'</strong>').'</p>'.
+	'<p>'.__('Please give your password to confirm the blog deletion.').'</p>';
+	
+	echo
+	'<form action="blog_del.php" method="post">'.
+	'<div>'.$core->formNonce().'</div>'.
+	'<p><label>'.__('Your password:').' '.
+	form::password('pwd',20,255).'</label></p>'.
+	'<p><input type="submit" name="del" value="'.__('Delete this blog').'" />'.
+	form::hidden('blog_id',$blog_id).'</p>'.
+	'</form>';
 }
 
 dcPage::close();
+?>
